View Issue Details

IDProjectCategoryView StatusLast Update
0003448Wishes.PluginsLuaMacro / Macro Browserpublic2018-05-11 13:32
ReporterccaidAssigned Toshmuel 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0003448: ExitFAR объединяет два типа событий, которые надо разъединить
Description1) перезагрузка макросов, при которой Far API в обработчике события может и должно работать;
2) завершение Far, при котором доступность Far API в обработчике события не гарантируется.
сейчас нет официального способа различить эти типы событий. просьба либо ввести два разных события, либо возможность различить эти ситуации внутри одного события.
TagsNo tags attached.

Relationships

related to 0003286 closedshmuel Возможность выполнить скрипт только один раз при загрузке 

Activities

shmuel

2017-06-21 23:17

developer   bugnote:0015445

Теперь ОК. Задача вполне простая, и в первом приближении решается легко. Функция action в обработчике ExitFAR будет иметь параметр/аргумент. Надо будет чуть подумать над синтаксисом, ну и перечитать то давнишнее обсуждение на форуме.

JohnDoe

2017-07-28 12:54

updater   bugnote:0015498

0003286

shmuel

2017-07-28 13:06

developer   bugnote:0015500

JohnDoe, вы очень лаконичны. Не помешало бы, помимо ссылки, высказать суждение.

JohnDoe

2017-07-28 14:04

updater   bugnote:0015501

Last edited: 2017-07-28 14:10

View 3 revisions

Просто ссылка на связанный тикет, в котором упоминается и обсуждаемая проблема.

А конкретно по данному тикету могу сказать следующее:
На мой взгляд (как и обсуждалось) достаточно передавать функции параметр true/false.
- true - завершение работы
- false - перезагрузка макросов
(или наоборот, не принципиально)

Но стоит отметить, что если целью состоит узнать "доступны ли в этот момент функции Фар АПИ", то возможно ещё событие третьего рода - выгрузка luamacro. При этом функция получит true, но при этом АПИ останется вполне себе доступно.

В своей практике я сталкивался с такой задачей, и решил её именно проверяя результат возвращаемый функциями АПИ.
Именно поэтому в своё время я и не запостил подобный тикет (оказался на практике не нужен).

shmuel

2018-05-09 00:24

developer   bugnote:0016078

Last edited: 2018-05-09 00:25

View 2 revisions

LuaMacro build 650.
ExitFAR получает 1 булевый аргумент: true=выгрузка/перезагрузка макрофайлов; false=выгрузка/перезагрузка плагина.

ccaid

2018-05-11 12:49

reporter   bugnote:0016088

замечаний нет

Issue History

Date Modified Username Field Change
2017-06-21 23:00 ccaid New Issue
2017-06-21 23:17 shmuel Note Added: 0015445
2017-07-28 12:54 JohnDoe Note Added: 0015498
2017-07-28 13:06 shmuel Note Added: 0015500
2017-07-28 14:04 JohnDoe Note Added: 0015501
2017-07-28 14:06 JohnDoe Note Edited: 0015501 View Revisions
2017-07-28 14:10 JohnDoe Note Edited: 0015501 View Revisions
2017-08-05 12:37 shmuel Relationship added related to 0003286
2018-05-09 00:24 shmuel Assigned To => shmuel
2018-05-09 00:24 shmuel Status new => feedback
2018-05-09 00:24 shmuel Note Added: 0016078
2018-05-09 00:25 shmuel Note Edited: 0016078 View Revisions
2018-05-11 12:49 ccaid Note Added: 0016088
2018-05-11 12:49 ccaid Status feedback => assigned
2018-05-11 12:59 JohnDoe Status assigned => resolved
2018-05-11 13:32 shmuel Status resolved => closed
2018-05-11 13:32 shmuel Resolution open => fixed